xcb_xc_misc_get_xid_list(3)

NAME
xcb_xc_misc_get_xid_list -

SYNOPSIS
#include <xcb/xc_misc.h>

  Request function

xcb_xc_misc_get_xid_list_cookie_t xcb_xc_misc_get_xid_list(xcb_connection_t *conn, uint32_t count);

  Reply datastructure

typedef struct xcb_xc_misc_get_xid_list_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t ids_len;
    uint8_t  pad1[20];
} xcb_xc_misc_get_xid_list_reply_t;

  Reply function

xcb_xc_misc_get_xid_list_reply_t *xcb_xc_misc_get_xid_list_reply(xcb_connection_t *conn, xcb_xc_misc_get_xid_list_cookie_t cookie, xcb_generic_error_t **e);

  Reply accessors

uint32_t *xcb_xc_misc_get_xid_list_ids(const xcb_xc_misc_get_xid_list_request_t *reply);

int xcb_xc_misc_get_xid_list_ids_length(const xcb_xc_misc_get_xid_list_reply_t *reply);

xcb_generic_iterator_t xcb_xc_misc_get_xid_list_ids_end(const xcb_xc_misc_get_xid_list_reply_t *reply);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

count
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_XC_MISC_GET_XID_LIST. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

ids_len
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_xc_misc_get_xid_list_cookie_t. Errors have to be handled when calling the reply function xcb_xc_misc_get_xid_list_reply. If you want to handle errors in the event loop instead, use xcb_xc_misc_get_xid_list_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xc_misc.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.